commit:     8a78bca15937504a93ea18c1e21f88a023b7ac99
Author:     Ilya Tumaykin <itumaykin <AT> gmail <DOT> com>
AuthorDate: Tue Oct 20 13:27:06 2015 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Wed Oct 21 06:49:28 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8a78bca1

app-text/linuxdoc-tools: version bump to 0.9.71

* Update HOMEPAGE and SRC_URI as upstream has moved to GitLab.
* Properly separate DEPEND and RDEPEND entries.
* Remove multiple patches and fixes as they were merged upstream.
* Handle 'doc' USE via a new configure option instead of a
  USE-conditional patch.

 app-text/linuxdoc-tools/Manifest                   |  1 +
 .../linuxdoc-tools/linuxdoc-tools-0.9.71.ebuild    | 74 ++++++++++++++++++++++
 2 files changed, 75 insertions(+)

diff --git a/app-text/linuxdoc-tools/Manifest b/app-text/linuxdoc-tools/Manifest
index 72d51ae..5ebcfb3 100644
--- a/app-text/linuxdoc-tools/Manifest
+++ b/app-text/linuxdoc-tools/Manifest
@@ -1 +1,2 @@
+DIST linuxdoc-tools-0.9.71.tar.gz 613357 SHA256 
1710b03d0e7151892c417363dd26c15d7f45d36411b6a341b0a4d3753519f476 SHA512 
8383e5f08d58ca6395db1832c02e1af7b348c276187e8271564b229d811f5141128976924f110d6575fa94bb45d547a2f4c90acee523e78c849659cad592b7ae
 WHIRLPOOL 
d40660d2b3373e853adb3055d8053507c786e278906eedf1d9b9afb74a032bc464587fbd6e9320b7fa8aab3de334c12a899a2e8bf9f5addf0c13988bbdc0ced1
 DIST linuxdoc-tools_0.9.69.orig.tar.gz 604379 SHA256 
7103facee18a2ea97186ca459d743d22f7f89ad4b5cd1dfd1c34f83d6bfd4101 SHA512 
5e0ca7614acd5a4c67d4beadd12e9665540d664dc4796c361a25d26ccdc53ef9e0b58cd051d028659e07530e351b0773895f8e6d06e5d2c6ffaad0a1f0c4d41e
 WHIRLPOOL 
0ee3492252f6607169a6404701e04030047f4a4d9237d213606a67c8f6b9ec019315a355e78318a2c57ac8cb2eb08b1ab4d6b81a7f05b77b257127b70cd8ae1d

diff --git a/app-text/linuxdoc-tools/linuxdoc-tools-0.9.71.ebuild 
b/app-text/linuxdoc-tools/linuxdoc-tools-0.9.71.ebuild
new file mode 100644
index 0000000..b2494b2
--- /dev/null
+++ b/app-text/linuxdoc-tools/linuxdoc-tools-0.9.71.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+AUTOTOOLS_AUTORECONF=1
+AUTOTOOLS_IN_SOURCE_BUILD=1
+
+GIT_SHA1="5a46c4ced4ef899b398bcedf8ccd29d6f2584100"
+inherit autotools-utils perl-module sgml-catalog toolchain-funcs
+
+DESCRIPTION="A toolset for processing LinuxDoc DTD SGML files"
+HOMEPAGE="https://gitlab.com/agmartin/linuxdoc-tools";
+SRC_URI="https://gitlab.com/agmartin/${PN}/repository/archive.tar.gz?ref=upstream/${PV}
 -> ${P}.tar.gz"
+
+LICENSE="MIT SGMLUG"
+SLOT="0"
+KEYWORDS="~amd64 ~ia64 ~ppc ~x86 ~x86-fbsd"
+IUSE="doc"
+
+RDEPEND="
+       || ( app-text/openjade app-text/opensp )
+       app-text/sgml-common
+       dev-lang/perl:=
+       || ( sys-apps/gawk sys-apps/mawk )
+       sys-apps/groff
+"
+DEPEND="${RDEPEND}
+       sys-devel/flex
+       doc? (
+               dev-texlive/texlive-fontsrecommended
+               virtual/latex-base
+       )
+"
+
+DOCS=( ChangeLog README )
+S="${WORKDIR}/${PN}-upstream/${PV}-${GIT_SHA1}"
+
+sgml-catalog_cat_include "/etc/sgml/linuxdoc.cat" \
+       "/usr/share/linuxdoc-tools/linuxdoc-tools.catalog"
+
+src_prepare() {
+       # Use Gentoo doc install path.
+       sed -i \
+               -e "s%/share/doc/linuxdoc-tools%/share/doc/${PF}%" \
+               Makefile.in
+
+       autotools-utils_src_prepare
+}
+
+src_configure() {
+       perl_set_version
+       tc-export CC
+       local myeconfargs=(
+               --disable-docs
+               --with-texdir="/usr/share/texmf/tex/latex/misc"
+               --with-perllibdir="${VENDOR_ARCH}"
+               --with-installed-iso-entities
+       )
+       use doc && myeconfargs+=(--enable-docs="txt pdf html")
+
+       autotools-utils_src_configure
+}
+
+src_compile() {
+       autotools-utils_src_compile
+}
+
+src_install() {
+       # Prevent access violations from bitmap font files generation.
+       export VARTEXFONTS="${T}/fonts"
+
+       autotools-utils_src_install
+}

Reply via email to